package com.sun.web.test;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Properties;
import javax.annotation.security.DeclareRoles;
import javax.annotation.security.DenyAll;
import javax.annotation.security.RolesAllowed;
import javax.ejb.EJB;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import test.SecureEjbRemote;



public class SimpleServlet extends HttpServlet {
   
    /** 
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @EJB(name="secureejbref")
   private SecureEjbRemote secureRemote;

  //  static {
    //    System.setProperty("org.omg.CORBA.ORBInitialHost","eas146.india.sun.com");
      //  System.setProperty("com.sun.CSIV2.ssl.standalone.client.required","true");
    //}

    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try {
      /*  Properties props = new Properties();
        props.put("org.omg.CORBA.ORBInitialHost","eas146.india.sun.com");
         props.put("org.omg.CORBA.ORBInitialPort","3920");
        props.put("com.sun.CSIV2.ssl.standalone.client.required","true");
        SecureEjbRemote objref = (SecureEjbRemote) new InitialContext(props).lookup("SecureEjbBean");*/
        System.out.println("..." + secureRemote.sayHello("Nithya"));
        out.println("Hello World");
       // } catch(NamingException ne) {
         //   out.println(ne.getMessage());
       
        //}
        }finally {
            out.close();
        }
    } 

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    } 

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
